> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tryhamsa.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Job Details By Id



## OpenAPI

````yaml /api-reference/openapi.json get /v1/jobs
openapi: 3.0.1
info:
  title: Hamsa API
  description: Trying out our transcription and media-to-text APIs
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.tryhamsa.com
security: []
paths:
  /v1/jobs:
    get:
      summary: Retrieve job details
      parameters:
        - name: jobId
          in: query
          required: true
          schema:
            type: string
        - name: search
          in: query
          required: false
          schema:
            type: string
        - name: speaker
          in: query
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Successful retrieval of job details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JobResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchema'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchema'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchema'
        '404':
          description: Job not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchema'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    JobResponse:
      type: object
      properties:
        message:
          type: string
        previewUrl:
          type: string
          format: uri
        data:
          type: object
          properties:
            id:
              type: string
            title:
              type: string
            model:
              type: string
            type:
              type: string
            processingType:
              type: string
            webhookUrl:
              type: string
              nullable: true
            totalCost:
              type: number
            usageTime:
              type: string
            fromLng:
              type: string
              nullable: true
            toLng:
              type: string
              nullable: true
            mediaUrl:
              type: string
              format: uri
            jobResponse:
              type: object
              nullable: true
            fromScript:
              type: string
              nullable: true
            toScript:
              type: string
              nullable: true
            status:
              type: string
              enum:
                - PENDING
                - COMPLETED
                - FAILED
            relevantJobId:
              type: string
              nullable: true
            agentDetails:
              type: string
              nullable: true
            apiKeyId:
              type: string
            billingId:
              type: string
            systemModelKey:
              type: string
            voiceAgentId:
              type: string
              nullable: true
            createdAt:
              type: string
              format: date-time
            updatedAt:
              type: string
              format: date-time
          required:
            - id
            - title
            - model
            - type
            - processingType
            - totalCost
            - usageTime
            - status
            - apiKeyId
            - billingId
            - systemModelKey
            - createdAt
            - updatedAt
    ErrorSchema:
      type: object
      properties:
        code:
          type: integer
        message:
          type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        Pass the API key in the Authorization header, You need to put Token
        keyword before the API key. e.g. 'Authorization: Token <api-key>'

````